function RakijaAddonSettingsRoleTemplate_onLoad(self)
	local classTank, classHealer, classDPS = UnitGetAvailableRoles("player");

	if(self.role == "TANK" and classTank) then
		self:GetNormalTexture():SetTexCoord(GetTexCoordsForRole(self.role));
	elseif(self.role == "HEALER"and classHealer)then
		self:GetNormalTexture():SetTexCoord(GetTexCoordsForRole(self.role));
	elseif(self.role == "DAMAGER"and classDPS)then
		self:GetNormalTexture():SetTexCoord(GetTexCoordsForRole(self.role));
	else
		local texSize,size = 256,67;
		self:GetNormalTexture():SetTexCoord(GetTexCoordsByGrid(2,3,texSize,texSize,size,size));
		self.checkButton:Disable();
		self.checkButton:Hide();
	end
end

function RakijaAddonSettingsRoleTemplate_onClick(self)
	local roleSelected = self:GetParent():GetParent():GetID();
	local specSelected = self:GetParent():GetID();

	if(roleSelected == 0)then
		for k,v in pairs(RakijaAddonPrimaryCheckboxes) do
			local button = _G[v].checkButton;
			if(button == self)then
				if(button:GetChecked())then
					RakijaDBChar.settings.mainspec = specSelected;
				else
					RakijaDBChar.settings.mainspec = -1;
				end
			else
				button:SetChecked(false);
			end
		end
	else
		for k,v in pairs(RakijaAddonSecondaryCheckboxes) do
			local button = _G[v].checkButton;
			if(button == self)then
				if(button:GetChecked())then
					RakijaDBChar.settings.offspec = specSelected;
				else
					RakijaDBChar.settings.offspec = -1;
				end
			else
				button:SetChecked(false);
			end
		end
	end

	RakijaDBChar.guildMembersUpdated = {};
end
